'Blum

Imports System.IO


Public Class FrmTVRating

    Dim TVName As String()
    Dim TVFile As String()
    Dim MyLocation As String
    Dim MyPicNud As PicNud()

    Private Sub FrmTVRating_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader
        Dim MyFile As String
        Dim MyLine As String()
        Dim MyToken As String()
        Dim i As Integer

        MyLocation = Directory.GetCurrentDirectory

        Try
            MyStreamReader = New StreamReader(MyLocation & "\TV_Shows.csv")
            MyFile = MyStreamReader.ReadToEnd
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading file.")
            Exit Sub
        End Try

        MyLine = MyFile.Split(vbCrLf)
        TVName = New String(MyLine.Length - 1) {}
        TVFile = New String(MyLine.Length - 1) {}


        For i = 0 To MyLine.Length - 1
            MyLine(i) = MyLine(i).Trim
            MyToken = MyLine(i).Split(",")
            TVName(i) = MyToken(0).Trim
            TVFile(i) = MyToken(1).Trim
        Next


        For i = 0 To MyLine.Length - 1
            MyLine(i) = MyLine(i).Trim
            MyToken = MyLine(i).Split(",")
            TVName(i) = MyToken(0).Trim
            TVFile(i) = MyToken(1).Trim
        Next

        MyPicNud = New PicNud(MyLine.Length - 1) {}

        panRate.Controls.Clear()

        For i = 0 To MyPicNud.Length - 1
            MyPicNud(i) = New PicNud
            panRate.Controls.Add(MyPicNud(i))

            MyPicNud(i).Location = New Point(MyPicNud(0).Width * (i Mod 3), MyPicNud(0).Height * (i \ 3))
            MyPicNud(i).PicTV.Image = Image.FromFile(MyLocation & "\" & TVFile(i))

        Next



    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Dim MyStreamWriter As StreamWriter
        Dim i As Integer

        sfdRate.ShowDialog()

        Try
            MyStreamWriter = New StreamWriter(sfdRate.FileName)
            MyStreamWriter.WriteLine(txtname.Text)
            For i = 0 To MyPicNud.Length - 1
                MyStreamWriter.WriteLine(TVName(i) & " " & MyPicNud(i).nudRate.Value)
            Next
            MyStreamWriter.Flush()

        Catch ex As Exception
            MsgBox("Problem writing to file.")
        End Try

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        Dim I As Integer

        For i = 0 To MyPicNud.Length - 1
            MyPicNud(I).nudRate.Value = 5
        Next
        txtname.Text = ""

    End Sub

 
End Class
